Commit 886e6b8b authored by Tristan Cavelier's avatar Tristan Cavelier

XXX onlyoffice-core: add rewrite-scripts.patch

parent 758e780f
......@@ -14,8 +14,9 @@ url = https://github.com/ONLYOFFICE/core/archive/f84ee9a5a30b79a2995a96f8019978d
md5sum = 2ead88646094941dc8de12cdc72ba3b2
patch-options = -p0
patches =
${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7
${:_profile_base_location_}/rewrite-scripts.patch#774f855a146132f8cfb789892e4d7f21
${:_profile_base_location_}/cryptopp.patch#9c72c4ee8432e858a6eadec8c7d70817
# ${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7
# error: 'to_wstring' is not a member of 'std' -> http://www.cplusplus.com/forum/general/109469/
# ${:_profile_base_location_}/to_wstring-is-not-a-member-of-std3.patch#bcc755d9629613ff702b1ad0129b1587
# ${:_profile_base_location_}/to_wstring-is-not-a-member-of-std2.patch#cba83f96cf260f604e2bf96c4d7db380
......
--- Common/3dParty/boost/fetch.sh.orig 2017-01-30 14:38:07.950123959 +0100
+++ Common/3dParty/boost/fetch.sh 2017-01-30 15:02:14.799153089 +0100
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
@@ -8,36 +10,18 @@
case "$os" in
Linux*) platform="linux" ;;
- Darwin*) platform="mac" ;;
+ Darwin*) platform="mac" ;;
*) exit ;;
esac
-if [[ "$platform" == *"mac"* ]]
-then
-if [[ -f "$SCRIPTPATH/7zX_1.7.1.dmg" ]]
-then
-echo "7z already downloaded"
+if [ -f "$SCRIPTPATH/boost_1_58_0.tar.gz" ] ; then
+ echo "boost already downloaded"
else
-wget http://static.updatestar.net/dl/7zX/7zX_1.7.1.dmg
-fi
-fi
-
-if [[ -f "$SCRIPTPATH/boost_1_58_0.7z" ]]
-then
-echo "boost already downloaded"
-else
-wget http://freefr.dl.sourceforge.net/project/boost/boost/1.58.0/boost_1_58_0.7z
+ wget http://freefr.dl.sourceforge.net/project/boost/boost/1.58.0/boost_1_58_0.tar.gz
fi
if [ -d "$SCRIPTPATH/boost" ]; then
-echo "boost already extracted"
-else
-if [[ "$platform" == *"linux"* ]]
-then
-7z x "$SCRIPTPATH/boost_1_58_0.7z" -o"$SCRIPTPATH/"
+ echo "boost already extracted"
else
-hdiutil mount "$SCRIPTPATH/7zX_1.7.1.dmg"
-/Volumes/7zX/7zX.app/Contents/Resources/7za x "$SCRIPTPATH/boost_1_58_0.7z" -o"$SCRIPTPATH/"
-hdiutil unmount /Volumes/7zX
-fi
+ ( cd "$SCRIPTPATH" && tar xf boost_1_58_0.tar.gz )
fi
--- Common/3dParty/cryptopp/build.sh.orig 2017-01-30 15:04:58.221156379 +0100
+++ Common/3dParty/cryptopp/build.sh 2017-01-30 15:04:48.103156175 +0100
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named build.bash
+set -e
BUILD_DIR=project/cryptopp.build
mkdir -p $BUILD_DIR
--- Common/3dParty/icu/fetch.sh.orig 2017-01-30 14:22:41.881105314 +0100
+++ Common/3dParty/icu/fetch.sh 2017-01-30 14:54:19.715143524 +0100
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
@@ -8,7 +10,7 @@
case "$os" in
Linux*) platform="linux" ;;
- Darwin*) platform="mac" ;;
+ Darwin*) platform="mac" ;;
*) exit ;;
esac
@@ -20,57 +22,44 @@
*) arch="_32" ;;
esac
-if [[ -d "$SCRIPTPATH/$platform$arch" ]]
-then
-echo
-else
-mkdir "$SCRIPTPATH/$platform$arch"
+if [ ! -d "$SCRIPTPATH/$platform$arch" ] ; then
+ mkdir "$SCRIPTPATH/$platform$arch"
fi
cd "$SCRIPTPATH/$platform$arch"
-if [ -d "build" ]
-then
-echo ""
-else
-mkdir "build"
+if [ ! -d "build" ] ; then
+ mkdir "build"
fi
-if [[ "$platform" == *"linux"* ]]
-then
-if [[ -f "./icu.zip" ]]
-then
-echo "icu already downloaded"
-else
-if [[ "$arch" == *"_64"* ]]
-then
-wget -O icu.zip http://download.icu-project.org/files/icu4c/55.1/icu4c-55_1-RHEL6-x64.tgz
-else
-wget -O icu.zip http://download.icu-project.org/files/icu4c/55.1/icu4c-55_1-RHEL6-i386.tgz
-fi
-fi
-if [ -d "./icu" ]
-then
-echo "icu already extracted"
-else
-7z x -so "./icu.zip" | tar xf -
-fi
-cp "./usr/local/lib/libicudata.so.55.1" "build/libicudata.so.55"
-cp "./usr/local/lib/libicuuc.so.55.1" "build/libicuuc.so.55"
-fi
-
-if [[ "$platform" == *"mac"* ]]
-then
-if [ -d "./icu" ]
-then
-echo "icu already extracted"
-else
-svn export http://source.icu-project.org/repos/icu/icu/tags/release-55-1 ./icu
-fi
-cd ./icu/source/
-./runConfigureICU MacOSX
-make
-cd ../../
-cp "./icu/source/lib/libicudata.55.1.dylib" "build/llibicudata.55.1.dylib"
-cp "./icu/source/lib/libicuuc.55.1.dylib" "build/libicuuc.55.1.dylib"
+if [[ "$platform" == *linux* ]] ; then
+ if [[ -f icu.tar.gz ]] ; then
+ echo "icu already downloaded"
+ else
+ if [[ "$arch" == *_64* ]] ; then
+ wget -O icu.tar.gz http://download.icu-project.org/files/icu4c/55.1/icu4c-55_1-RHEL6-x64.tgz
+ else
+ wget -O icu.tar.gz http://download.icu-project.org/files/icu4c/55.1/icu4c-55_1-RHEL6-i386.tgz
+ fi
+ fi
+ if [ -d icu ] ; then
+ echo "icu already extracted"
+ else
+ tar xf icu.tar.gz
+ fi
+ cp "./usr/local/lib/libicudata.so.55.1" "build/libicudata.so.55"
+ cp "./usr/local/lib/libicuuc.so.55.1" "build/libicuuc.so.55"
+
+elif [[ "$platform" == *mac* ]] ; then
+ if [ -d icu ] ; then
+ echo "icu already extracted"
+ else
+ svn export http://source.icu-project.org/repos/icu/icu/tags/release-55-1 ./icu
+ fi
+ cd ./icu/source/
+ ./runConfigureICU MacOSX
+ make
+ cd ../../
+ cp "./icu/source/lib/libicudata.55.1.dylib" "build/llibicudata.55.1.dylib"
+ cp "./icu/source/lib/libicuuc.55.1.dylib" "build/libicuuc.55.1.dylib"
fi
--- Common/3dParty/make.sh.orig 2017-01-30 14:51:30.167140110 +0100
+++ Common/3dParty/make.sh 2017-01-30 14:54:00.851143144 +0100
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be name make.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
@@ -7,17 +9,15 @@
for d in */ ; do
-echo "$d"
-cd "$SCRIPTPATH/$d"
+ echo "$d"
+ cd "$SCRIPTPATH/$d"
-if [ -f "fetch.sh" ]
-then
-bash "fetch.sh"
-fi
-if [ -f "build.sh" ]
-then
-bash "build.sh"
-fi
+ if [ -f fetch.sh ] ; then
+ bash fetch.sh
+ fi
+ if [ -f build.sh ] ; then
+ bash build.sh
+ fi
-cd "$SCRIPTPATH"
+ cd "$SCRIPTPATH"
done
--- Common/3dParty/v8/build.sh.orig 2017-01-30 15:01:50.592152601 +0100
+++ Common/3dParty/v8/build.sh 2017-01-30 15:01:33.800152263 +0100
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named build.bash
+set -e
export PATH=`pwd`/depot_tools:"$PATH"
@@ -10,7 +12,7 @@
case "$os" in
Linux*) platform="linux" ;;
- Darwin*) platform="mac" ;;
+ Darwin*) platform="mac" ;;
*) exit ;;
esac
@@ -22,49 +24,43 @@
*) arch="_32" ;;
esac
-if [[ -d "$SCRIPTPATH/$platform$arch" ]]
-then
-echo
-else
-mkdir "$SCRIPTPATH/$platform$arch"
+if [ ! -d "$SCRIPTPATH/$platform$arch" ] ; then
+ mkdir "$SCRIPTPATH/$platform$arch"
fi
cd "$SCRIPTPATH/v8"
-if [[ "$platform" == *"linux"* ]]
-then
-CFLAGS="-fPIC" CXXFLAGS="-fPIC" make native GYPFLAGS=-Dclang=0
-
-cp "./out/native/obj.target/tools/gyp/libv8_base.a" "./../$platform$arch/"
-cp "./out/native/obj.target/tools/gyp/libv8_libbase.a" "./../$platform$arch/"
-cp "./out/native/obj.target/tools/gyp/libv8_libplatform.a" "./../$platform$arch/"
-cp "./out/native/obj.target/tools/gyp/libv8_nosnapshot.a" "./../$platform$arch/"
-cp "./out/native/obj.target/tools/gyp/libv8_external_snapshot.a" "./../$platform$arch/"
-
-cp "./out/native/obj.target/third_party/icu/libicui18n.a" "./../$platform$arch/"
-cp "./out/native/obj.target/third_party/icu/libicuuc.a" "./../$platform$arch/"
-cp "./out/native/obj.target/third_party/icu/libicudata.a" "./../$platform$arch/"
+if [[ "$platform" == *linux* ]] ; then
+ CFLAGS="-fPIC" CXXFLAGS="-fPIC" make native GYPFLAGS=-Dclang=0
-cp "./third_party/icu/linux/icudtl_dat.S" "./../$platform$arch/"
+ cp "./out/native/obj.target/tools/gyp/libv8_base.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/tools/gyp/libv8_libbase.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/tools/gyp/libv8_libplatform.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/tools/gyp/libv8_nosnapshot.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/tools/gyp/libv8_external_snapshot.a" "./../$platform$arch/"
-cp "./third_party/icu/source/data/in/icudtl.dat" "./../$platform$arch/"
-fi
+ cp "./out/native/obj.target/third_party/icu/libicui18n.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/third_party/icu/libicuuc.a" "./../$platform$arch/"
+ cp "./out/native/obj.target/third_party/icu/libicudata.a" "./../$platform$arch/"
+
+ cp "./third_party/icu/linux/icudtl_dat.S" "./../$platform$arch/"
+
+ cp "./third_party/icu/source/data/in/icudtl.dat" "./../$platform$arch/"
+
+elif [[ "$platform" == *mac* ]] ; then
+ CFLAGS="-fPIC" CXXFLAGS="-fPIC -stdlib=libc++" LDFLAGS="-stdlib=libc++" make native
+
+ cp "./out/native/libv8_base.a" "./../$platform$arch/"
+ cp "./out/native/libv8_libbase.a" "./../$platform$arch/"
+ cp "./out/native/libv8_libplatform.a" "./../$platform$arch/"
+ cp "./out/native/libv8_nosnapshot.a" "./../$platform$arch/"
+ cp "./out/native/libv8_external_snapshot.a" "./../$platform$arch/"
-if [[ "$platform" == *"mac"* ]]
-then
-CFLAGS="-fPIC" CXXFLAGS="-fPIC -stdlib=libc++" LDFLAGS="-stdlib=libc++" make native
-
-cp "./out/native/libv8_base.a" "./../$platform$arch/"
-cp "./out/native/libv8_libbase.a" "./../$platform$arch/"
-cp "./out/native/libv8_libplatform.a" "./../$platform$arch/"
-cp "./out/native/libv8_nosnapshot.a" "./../$platform$arch/"
-cp "./out/native/libv8_external_snapshot.a" "./../$platform$arch/"
-
-cp "./out/native/libicui18n.a" "./../$platform$arch/"
-cp "./out/native/libicuuc.a" "./../$platform$arch/"
-cp "./out/native/icudtl.dat" "./../$platform$arch/"
+ cp "./out/native/libicui18n.a" "./../$platform$arch/"
+ cp "./out/native/libicuuc.a" "./../$platform$arch/"
+ cp "./out/native/icudtl.dat" "./../$platform$arch/"
-cp "./out/native/libv8_libsampler.a" "./../$platform$arch/"
+ cp "./out/native/libv8_libsampler.a" "./../$platform$arch/"
-cp "./third_party/icu/mac/icudtl_dat.S" "./../$platform$arch/"
+ cp "./third_party/icu/mac/icudtl_dat.S" "./../$platform$arch/"
fi
--- Common/3dParty/v8/fetch.sh.orig 2017-01-30 15:01:43.810152465 +0100
+++ Common/3dParty/v8/fetch.sh 2017-01-30 15:01:29.438152175 +0100
@@ -1,20 +1,20 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
cd "$SCRIPTPATH"
-if [ ! -d "depot_tools" ]
-then
-git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
+if [ ! -d depot_tools ] ; then
+ git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
fi
export PATH=`pwd`/depot_tools:"$PATH"
-if [ ! -d "./v8" ]
-then
-fetch v8
+if [ ! -d v8 ] ; then
+ fetch v8
fi
gclient sync -r 4.10.253
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment